package lab;

import lab.storage.DbConnector;
import lab.storage.ScoreStorageInterface;

public class Setup {

	private static Setup instance;

	private ScoreStorageInterface scoreStorageInterface = new DbConnector();
	private double lochnessMinXPopsition = 0.5;
	private double lochnessMinYPopsition = 0.5;
	private double lochnessMinSpeed = 50;
	private double lochnessMaxSpeed = 150;
	private int lochnessMultiplier = 1;
	private double boatCollisionHeight = 0.25;
	private double boatHitPulseX = 20;
	private double boatHitPulseYMin = 50;
	private double boatHitPulseYMax = 100;

	public static void configure(Setup setting) {
		instance = setting;
	}

	public static Setup getInstance() {
		return instance;
	}

	public ScoreStorageInterface getScoreStorageInterface() {
		return scoreStorageInterface;
	}

	public double getBoatCollisionHeight() {
		return boatCollisionHeight;
	}

	public double getBoatHitPulseX() {
		return boatHitPulseX;
	}

	public double getBoatHitPulseYMin() {
		return boatHitPulseYMin;
	}

	public double getBoatHitPulseYMax() {
		return boatHitPulseYMax;
	}

	public int getLochnessMultiplier() {
		return lochnessMultiplier;
	}

	public double getLochnessMinXPopsition() {
		return lochnessMinXPopsition;
	}

	public double getLochnessMinYPopsition() {
		return lochnessMinYPopsition;
	}

	public double getLochnessMinSpeed() {
		return lochnessMinSpeed;
	}

	public double getLochnessMaxSpeed() {
		return lochnessMaxSpeed;
	}

}
